Get a Run
curl --request GET \
--url https://api.captaindata.co/v3/jobs/{job_uid} \
--header 'Authorization: <api-key>' \
--header 'x-project-id: <api-key>'import requests
url = "https://api.captaindata.co/v3/jobs/{job_uid}"
headers = {
"Authorization": "<api-key>",
"x-project-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'x-project-id': '<api-key>'}
};
fetch('https://api.captaindata.co/v3/jobs/{job_uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "xxxxxxxxxxx-xxxxx-49be-9e21-d8037d1e393b",
"name": "Test job via API",
"status": "finished",
"start_time": "2024-11-26T18:21:03.019011+00:00",
"scheduled_time": null,
"finish_time": "2024-11-26T18:21:09.082904+00:00",
"row_count": 1,
"total_row_count": 1,
"error_message": null,
"workflow_name": "Extract LinkedIn People Profile",
"workflow_uid": "xxxxxxxx-xxxxxx-4eeb-ada7-652fb498f540",
"main_job_uid": null,
"main_job_name": null,
"configuration": {
"steps": [
{
"accounts": [
"xxxxxxxx-xxxxx-4692-9d6d-e97ac1544308"
],
"parameters": {},
"workflow_template_uid": "xxxxxxx-xxxxx-483f-b220-0fcccfdd14b2",
"accounts_rotation_enabled": false
}
]
},
"accounts": [
"xxxxxx-xxxxx-4692-9d6d-e97ac1544308"
],
"number_inputs": 1,
"step_uid": null
}{
"detail": [
{
"loc": [
"path",
"job_uid"
],
"msg": "value is not a valid uuid",
"type": "type_error.uuid"
}
]
}Runs
Get a Run
GET
/
v3
/
jobs
/
{job_uid}
Get a Run
Authorizations
The Authorization header must include 'x-api-key' followed by your API key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
Workspace UID required to identify the workspace.
Path Parameters
Response
Successful Response
⌘I